# Class: jdkinstall
#
# This module manages jdkinstall
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class jdkinstall(
  $sourcePath           = 'puppet:///modules/jdkinstall',
  $user                 = 'root',
  $group                = 'root',
  $destPath             = '/home'
)
{
  user { "${user}" :
      ensure    =>  present
      }
  group { "${group}" :
      ensure    =>  present
      }
}

file { 'ihs-installer.tar.gz':
    ensure  => present,
    path    => "${::destPath}",
    source  => "puppet:///modules/jdkinstall/ihs-installer.tar.gz",
    replace => false
    }